protozero::const_svarint_iterator< T > Class Template Reference

`#include <iterators.hpp>`

Inheritance diagram for protozero::const_svarint_iterator< T >:
[legend]
Collaboration diagram for protozero::const_svarint_iterator< T >:
[legend]

## Public Types

using | iterator_category = std::forward_iterator_tag
using | value_type = T
using | difference_type = std::ptrdiff_t
using | pointer = value_type *
using | reference = value_type &
Public Types inherited from protozero::const_varint_iterator< T >
using | iterator_category = std::forward_iterator_tag
using | value_type = T
using | difference_type = std::ptrdiff_t
using | pointer = value_type *
using | reference = value_type &

## Public Member Functions

| const_svarint_iterator (const char *data, const char *end) noexcept
| const_svarint_iterator (const const_svarint_iterator &)=default
| const_svarint_iterator (const_svarint_iterator &&) noexcept=default
const_svarint_iterator & | operator= (const const_svarint_iterator &)=default
const_svarint_iterator & | operator= (const_svarint_iterator &&) noexcept=default
value_type | operator* () const
const_svarint_iterator & | operator++ ()
const_svarint_iterator | operator++ (int)
Public Member Functions inherited from protozero::const_varint_iterator< T >
| const_varint_iterator (const char *data, const char *end) noexcept
| const_varint_iterator (const const_varint_iterator &) noexcept=default
| const_varint_iterator (const_varint_iterator &&) noexcept=default
const_varint_iterator & | operator= (const const_varint_iterator &) noexcept=default
const_varint_iterator & | operator= (const_varint_iterator &&) noexcept=default
value_type | operator* () const
const_varint_iterator & | operator++ ()
const_varint_iterator | operator++ (int)
bool | operator== (const const_varint_iterator &rhs) const noexcept
bool | operator!= (const const_varint_iterator &rhs) const noexcept

## Additional Inherited Members

Static Public Member Functions inherited from protozero::const_varint_iterator< T >
static difference_type | distance (const_varint_iterator begin, const_varint_iterator end) noexcept
Protected Attributes inherited from protozero::const_varint_iterator< T >
const char * | m_data = nullptr
| Pointer to current iterator position.
const char * | m_end = nullptr
| Pointer to end iterator position.

## Detailed Description

### template<typename T>
class protozero::const_svarint_iterator< T >

A forward iterator used for accessing packed repeated svarint fields (sint32, sint64).

The documentation for this class was generated from the following file:

- include/protozero/iterators.hpp